package com.ruoyi.web.v1.mapper;

import java.util.List;

import com.ruoyi.web.v1.model.InspectionItem;

/**
 * 检查项目Mapper接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface InspectionItemMapper 
{
    /**
     * 查询检查项目
     * 
     * @param id 检查项目主键
     * @return 检查项目
     */
    public InspectionItem selectInspectionItemById(Long id);

    /**
     * 查询检查项目列表
     * 
     * @param inspectionItem 检查项目
     * @return 检查项目集合
     */
    public List<InspectionItem> selectInspectionItemList(InspectionItem inspectionItem);

    /**
     * 校验检查项目是否唯一
     *
     * @param itemName 项目名称
     * @return 结果
     */
    public InspectionItem checkItemNameUnique(String itemName);

    /**
     * 新增检查项目
     * 
     * @param inspectionItem 检查项目
     * @return 结果
     */
    public int insertInspectionItem(InspectionItem inspectionItem);

    /**
     * 修改检查项目
     * 
     * @param inspectionItem 检查项目
     * @return 结果
     */
    public int updateInspectionItem(InspectionItem inspectionItem);

    /**
     * 删除检查项目
     * 
     * @param id 检查项目主键
     * @return 结果
     */
    public int deleteInspectionItemById(Long id);

    /**
     * 批量删除检查项目
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInspectionItemByIds(Long[] ids);
}
